- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# ltp.h File Reference

Long-Term Prediction functions. More...

`#include <speex/speex_bits.h>`
`#include "misc.h"`

## Classes
struct | ltp_params
## Functions
int | pitch_search_3tap (spx_sig_t target[], spx_sig_t *sw, spx_coef_t ak[], spx_coef_t awk1[], spx_coef_t awk2[], spx_sig_t exc[], const void *par, int start, int end, spx_word16_t pitch_coef, int p, int nsf, SpeexBits *bits, char *stack, spx_sig_t *exc2, spx_word16_t *r, int complexity, int cdbk_offset, int plc_tuning)
int | forced_pitch_quant (spx_sig_t target[], spx_sig_t *sw, spx_coef_t ak[], spx_coef_t awk1[], spx_coef_t awk2[], spx_sig_t exc[], const void *par, int start, int end, spx_word16_t pitch_coef, int p, int nsf, SpeexBits *bits, char *stack, spx_sig_t *exc2, spx_word16_t *r, int complexity, int cdbk_offset, int plc_tuning)
void | forced_pitch_unquant (spx_sig_t exc[], int start, int end, spx_word16_t pitch_coef, const void *par, int nsf, int *pitch_val, spx_word16_t *gain_val, SpeexBits *bits, char *stack, int lost, int subframe_offset, spx_word16_t last_pitch_gain, int cdbk_offset)

## Detailed Description

Long-Term Prediction functions.

## Function Documentation

int forced_pitch_quant | ( | spx_sig_t | target[],
|  | spx_sig_t * | sw,
|  | spx_coef_t | ak[],
|  | spx_coef_t | awk1[],
|  | spx_coef_t | awk2[],
|  | spx_sig_t | exc[],
|  | const void * | par,
|  | int | start,
|  | int | end,
|  | spx_word16_t | pitch_coef,
|  | int | p,
|  | int | nsf,
|  | SpeexBits * | bits,
|  | char * | stack,
|  | spx_sig_t * | exc2,
|  | spx_word16_t * | r,
|  | int | complexity,
|  | int | cdbk_offset,
|  | int | plc_tuning |
| ) |  |  |

Forced pitch delay and gain

void forced_pitch_unquant | ( | spx_sig_t | exc[],
|  | int | start,
|  | int | end,
|  | spx_word16_t | pitch_coef,
|  | const void * | par,
|  | int | nsf,
|  | int * | pitch_val,
|  | spx_word16_t * | gain_val,
|  | SpeexBits * | bits,
|  | char * | stack,
|  | int | count_lost,
|  | int | subframe_offset,
|  | spx_word16_t | last_pitch_gain,
|  | int | cdbk_offset |
| ) |  |  |

Unquantize forced pitch delay and gain

int pitch_search_3tap | ( | spx_sig_t | target[],
|  | spx_sig_t * | sw,
|  | spx_coef_t | ak[],
|  | spx_coef_t | awk1[],
|  | spx_coef_t | awk2[],
|  | spx_sig_t | exc[],
|  | const void * | par,
|  | int | start,
|  | int | end,
|  | spx_word16_t | pitch_coef,
|  | int | p,
|  | int | nsf,
|  | SpeexBits * | bits,
|  | char * | stack,
|  | spx_sig_t * | exc2,
|  | spx_word16_t * | r,
|  | int | complexity,
|  | int | cdbk_offset,
|  | int | plc_tuning |
| ) |  |  |

Finds the best quantized 3-tap pitch predictor by analysis by synthesis